Bug 63769 - breakpoints aren't preserved.
breakpoints aren't preserved.
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gdb (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-18 12:35 EDT by hjl
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:07:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch (1.27 KB, patch)
2002-04-18 12:36 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2002-04-18 12:35:52 EDT
See

http://sources.redhat.com/ml/gdb/2002-04/msg00148.html

That is a new bug.  At least, gdb 4.17 works fine.
Comment 1 hjl 2002-04-18 12:36:51 EDT
Created attachment 54365 [details]
A patch
Comment 2 John Kacur 2002-05-02 10:49:45 EDT
Confirmed that this is also a problem on ia64, and unfortunately, is not fixed with gdb 5.2
Comment 3 Trond Eivind Glomsrxd 2002-05-02 10:53:39 EDT
I didn't see much positive feedback when the patch was posted on the gdb-list,
so I'll wait a bit...
Comment 4 hjl 2002-05-02 12:10:18 EDT
I have 3 outstanding gdb patches:

http://sources.redhat.com/ml/gdb/2002-04/msg00294.html
http://sources.redhat.com/ml/gdb/2002-03/msg00064.html
http://sources.redhat.com/ml/gdb/2002-03/msg00202.html

I sent an email to Jim Blandy  <jimb@redhat.com>
when he broke gdb for ld.so on RedHat 7.x.:

http://sources.redhat.com/ml/gdb/2002-03/msg00197.html

But I got no responses from him.
Comment 5 Jim Blandy 2003-02-14 19:26:48 EST
I believe I've reverted the change that caused this breakage.

2002-09-18  Jim Blandy  <jimb@redhat.com>

	* dbxread.c, mdebugread.c: Revert my change of 2001-10-23.  Moving
	texthigh and textlow to reader-specific structs caused
	objfile_relocate to miss them.  This is fixable, but the work that
	the change was supposed to prepare GDB for never got done anyway.

Comment 6 Bill Nottingham 2006-08-04 16:07:22 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.